Loading...
Searching...
No Matches
casacore::MeasTableMulSC2000B Class Reference
measures package (libcasa_measures) » Measures_module

Class calculating the J2000B nutation multipliers. More...

`#include <MeasTableMul.h>`

## Public Member Functions

| MeasTableMulSC2000B ()
virtual void | init ()
virtual void | calc (Matrix< Double > &, Double time)
Public Member Functions inherited from casacore::MeasTableMulSC2000Base
| MeasTableMulSC2000Base ()
Public Member Functions inherited from casacore::MeasTableMul
| MeasTableMul ()
virtual | ~MeasTableMul ()
void | clear ()
std::shared_ptr< Matrix< Double > > | getArray (Double time, Double epsilon)

## Private Attributes

Polynomial< Double > | itsPoly [2 *77]

## Static Private Attributes

static const Long | theirMULSC [77][6]

## Additional Inherited Members

Protected Member Functions inherited from casacore::MeasTableMulSC2000Base
void | doInit (Matrix< Double > &result, Polynomial< Double > poly[], Int nrowSC, const Long coeffSC[][6])
void | doCalc (Matrix< Double > &result, Double time, const Polynomial< Double > poly[], Int nrowSC)
Protected Attributes inherited from casacore::MeasTableMul
std::mutex | itsMutex
Int64 | itsLastUsed
std::vector< Int64 > | itsUsed
std::vector< Double > | itsTimes
std::vector< std::shared_ptr< Matrix< Double > > > | itsArrays
Matrix< Double > | itsDefArray

## Detailed Description

Class calculating the J2000B nutation multipliers.

Definition at line 188 of file MeasTableMul.h.

## Constructor & Destructor Documentation

## MeasTableMulSC2000B()

casacore::MeasTableMulSC2000B::MeasTableMulSC2000B | ( |  | ) |

## Member Function Documentation

## calc()

virtual void casacore::MeasTableMulSC2000B::calc | ( | Matrix< Double > & | ,
|  | Double | time )

virtual

Implements casacore::MeasTableMul.

References casacore::time().

## init()

virtual void casacore::MeasTableMulSC2000B::init | ( |  | ) |

virtual

Implements casacore::MeasTableMul.

## Member Data Documentation

## itsPoly

Polynomial<Double> casacore::MeasTableMulSC2000B::itsPoly[2 *77]

private

Definition at line 195 of file MeasTableMul.h.

## theirMULSC

const Long casacore::MeasTableMulSC2000B::theirMULSC[77][6]

static private

Definition at line 196 of file MeasTableMul.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasTableMul.h